Loading...
Searching...
No Matches
block_cipher.h File Reference

Internal abstraction layer. More...

`#include "mbedtls/private_access.h"`
`#include "mbedtls/build_info.h"`
`#include "mbedtls/aes.h"`
`#include "mbedtls/aria.h"`
`#include "mbedtls/camellia.h"`
Include dependency graph for block_cipher.h:

Go to the source code of this file.

## Data Structures

struct | mbedtls_block_cipher_context_t

## Enumerations

enum | mbedtls_block_cipher_id_t { MBEDTLS_BLOCK_CIPHER_ID_NONE = 0 , MBEDTLS_BLOCK_CIPHER_ID_AES , MBEDTLS_BLOCK_CIPHER_ID_CAMELLIA , MBEDTLS_BLOCK_CIPHER_ID_ARIA }
enum | mbedtls_block_cipher_engine_t { MBEDTLS_BLOCK_CIPHER_ENGINE_LEGACY = 0 , MBEDTLS_BLOCK_CIPHER_ENGINE_PSA }

## Detailed Description

Internal abstraction layer.

Definition in file block_cipher.h.

## Enumeration Type Documentation

## mbedtls_block_cipher_engine_t

enum mbedtls_block_cipher_engine_t

Used internally to indicate whether a context uses legacy or PSA.

Internal use only.

Enumerator
MBEDTLS_BLOCK_CIPHER_ENGINE_LEGACY |
MBEDTLS_BLOCK_CIPHER_ENGINE_PSA |

Definition at line 47 of file block_cipher.h.

## mbedtls_block_cipher_id_t

enum mbedtls_block_cipher_id_t

Enumerator
MBEDTLS_BLOCK_CIPHER_ID_NONE | Unset.
MBEDTLS_BLOCK_CIPHER_ID_AES | The AES cipher.
MBEDTLS_BLOCK_CIPHER_ID_CAMELLIA | The Camellia cipher.
MBEDTLS_BLOCK_CIPHER_ID_ARIA | The Aria cipher.

Definition at line 35 of file block_cipher.h.